io.milvus.param.resourcegroup

## Class DescribeResourceGroupParam.Builder

- java.lang.Object
- - io.milvus.param.resourcegroup.DescribeResourceGroupParam.Builder

- Enclosing class:
    DescribeResourceGroupParam

      public static final class DescribeResourceGroupParam.Builder
      extends java.lang.Object

  Builder for `DescribeResourceGroupParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeResourceGroupParam` | `build()` Verifies parameters and creates a new `DescribeResourceGroupParam` instance.
    `DescribeResourceGroupParam.Builder` | `withGroupName(@NonNull java.lang.String groupName)` Sets the group name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withGroupName

          public DescribeResourceGroupParam.Builder withGroupName(@NonNull
                                                                  @NonNull java.lang.String groupName)

      Sets the group name. group name cannot be empty or null.
      Parameters:
        `groupName` - group name
      Returns:
        `Builder`

    - #### build

          public DescribeResourceGroupParam build()
                                           throws ParamException

      Verifies parameters and creates a new `DescribeResourceGroupParam` instance.
      Returns:
        `DescribeResourceGroupParam`
      Throws:
        `ParamException`